# Signatory

interface Signatory

A signatory is an object capable of providing a signature for an arbitrary stream of bytes.

#### Since

4.5

#### Inheritors

SignatorySupport

## Functions

getKeyId
Link copied to clipboard
@Input
@Optional
abstract fun getKeyId(): String
Returns the id of the key that will be used for signing.
getName
Link copied to clipboard
@Internal
abstract fun getName(): String
An identifying name for this signatory.
sign
Link copied to clipboard
abstract fun sign(toSign: InputStream): Array<Byte>
Exhausts `toSign`, and returns the raw signature bytes.
abstract fun sign(toSign: InputStream, destination: OutputStream)
Exhausts `toSign`, and writes the signature to `signatureDestination`.